首页 › API 文档 › 游戏数据

Steam游戏搜索

按名称搜索 Steam 游戏,返回 AppID、名称、价格、折扣信息。

接口地址

GET https://api.tinyaii.cn/v1/steam/search

分类:游戏数据 · 返回格式:JSON · 鉴权:API Key(URL 参数 apikey 或请求头 Authorization: Bearer)

请求参数

参数名类型必填说明
keywordstring是搜索关键词
limitint否返回数量,默认10

返回字段

字段名类型说明
data.countint搜索结果数量
data.itemsarray游戏列表
data.items[].appidintSteam AppID
data.items[].namestring游戏名称
data.items[].typestring类型(game/dlc)
data.items[].imagestring封面图
data.items[].pricefloat当前价格(元)
data.items[].discount_percentint折扣百分比

返回示例

{
  "code": 200,
  "data": {
    "count": 2,
    "items": [
      {
        "appid": 730,
        "discount_percent": null,
        "image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/capsule_231x87_schinese.jpg?t=1780435263",
        "name": "Counter-Strike 2",
        "price": null,
        "type": "app"
      },
      {
        "appid": 666220,
        "discount_percent": null,
        "image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/666220/capsule_231x87.jpg?t=1743163970",
        "name": "CS2D",
        "price": null,
        "type": "app"
      }
    ]
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/steam/search?apikey=YOUR_KEY&keyword=CS2&limit="

把 YOUR_KEY 换成你在 用户中心 获取的 API Key,在浏览器打开同样地址也能直接看到结果。

相关接口(游戏数据)

本站收录 353 个可免费调用的 API 接口,查看完整开发文档 或 注册获取 API Key。